<?php
if(isset($_POST["allotProjectSubmit"]) && $_POST["allotProjectSubmit"] == "Submit") {
	$message = "";
	
	$projectMonthlyHoursLimit = $sqlObject->selectSimpleQuery("select monthly_hours_limit from ".PROJECTS." where project_id = ".$_POST["project_id"]);
	
	if(isset($projectMonthlyHoursLimit) && $projectMonthlyHoursLimit) {
		$projectMonthlyHoursLimit = $projectMonthlyHoursLimit[0];
		
		if($_POST["allotted_hours"] > $projectMonthlyHoursLimit["monthly_hours_limit"]) {
			$message = ALLOT_PROJECT_HOURS_EXCESS_LIMIT;
		}
		
		//$projectTotalAllotedHours = $sqlObject->selectSimpleQuery("select sum(allotted_hours) as sum_alloted_hours from ".ALLOTTED_PROJECTS." where project_id = ".$_POST["project_id"]." and CAST(created_date AS DATE) between '".CURRENT_STARTING_MONTH_DATE."' and '".CURRENT_ENDING_MONTH_DATE."'");
		$projectTotalAllotedHours = $sqlObject->selectSimpleQuery("select sum(allotted_hours) as sum_alloted_hours from ".ALLOTTED_PROJECTS." where project_id = ".$_POST["project_id"]);
	
		if($projectTotalAllotedHours) {
			$projectTotalAllotedHours = $projectTotalAllotedHours[0];
			
			if(isset($projectTotalAllotedHours["sum_alloted_hours"]) && $projectTotalAllotedHours["sum_alloted_hours"] >= $projectMonthlyHoursLimit["monthly_hours_limit"]) {
				$message = ALLOT_PROJECT_HOURS_FULLY_ALLOTTED;
			}
			else {
				$totalHours = $projectTotalAllotedHours["sum_alloted_hours"] + $_POST["allotted_hours"];
				
				if($totalHours > $projectMonthlyHoursLimit["monthly_hours_limit"]) {
					$remainingHours = $projectMonthlyHoursLimit["monthly_hours_limit"] - $projectTotalAllotedHours["sum_alloted_hours"];
					$message = sprintf(ALLOT_PROJECT_NOT_ASSIGN_MORE_THAN_MONTHLY_HOURS,$remainingHours);
				}
			}
		}
	}
	
	//$alreadyAssigned = $sqlObject->selectSimpleQuery("select * from ".ALLOTTED_PROJECTS." where project_id = ".$_POST["project_id"]." and emp_id = ".$_POST["emp_id"]." and CAST(created_date AS DATE) between '".CURRENT_STARTING_MONTH_DATE."' and '".CURRENT_ENDING_MONTH_DATE."'");
	$alreadyAssigned = $sqlObject->selectSimpleQuery("select * from ".ALLOTTED_PROJECTS." where project_id = ".$_POST["project_id"]." and emp_id = ".$_POST["emp_id"]);
	
	
	if(count($alreadyAssigned) > 0 ) {
		$message = ALLOT_PROJECT_ALREADY_ASSIGNED;
	}
	
	if(!$message) {
		$columnsArray = array(
							"project_id" 		  => $_POST["project_id"],
							"emp_id" 			  => $_POST["emp_id"],
							"allotted_hours" 	  => $_POST["allotted_hours"]
						);
		if(isset($_POST["status"]) && !empty($_POST["status"])) {
			$columnsArray["status"]	= 1;
		}
		
		if($sqlObject->insertQuery(ALLOTTED_PROJECTS,$columnsArray)) {
			$message = ALLOT_PROJECT_ADD_SUCCESS_MESSAGE;
		}
		else {
			$message = ALLOT_PROJECT_ADD_UNSUCCESS_MESSAGE; 
		}
	}
}

if(isset($_POST["allotProjectSubmit"]) && $_POST["allotProjectSubmit"] == "Update") {
	$status = 0;
	
	if($_POST["status"]) {
		$status = $_POST["status"];
	}
	
	if($sqlObject->updateQuery("update ".ALLOTTED_PROJECTS." set allotted_hours = {$_POST[allotted_hours]}, status = {$status} where allotted_id = ".$_POST["allotted_id"])) {
		$message = ALLOT_PROJECT_EDIT_SUCCESS_MESSAGE;
		header("Location: ?action=allotted_project_details");
	}
	else {
		$message = ALLOT_PROJECT_EDIT_UNSUCCESS_MESSAGE; 
	}
}

if(isset($_GET["edit"]) && !empty($_GET["edit"])) {
	$columnsArray 			  = array();
	$columnsArray["allotted_id"] = $_GET["edit"];
	$editAllotProjectRowArray = $sqlObject->selectQuery(ALLOTTED_PROJECTS,$columnsArray);
	
	if($editAllotProjectRowArray) {
		$editAllotProjectRowArray = $editAllotProjectRowArray[0];
	}	
}

if(isset($message)) {
	echo $message;
}
?>
<form action="" method="post">
    <table>
        <tr>
            <td>Project Name</td>
            <td>
            
            <?php 
			 $columnsArray = array("status" => 1);
             $projectsArray = $sqlObject->selectQuery(PROJECTS,$columnsArray);
			 if(isset($_GET["edit"]) && !empty($_GET["edit"])) {
				if($projectsArray) {
                        foreach($projectsArray as $project) { 
							if(isset($editAllotProjectRowArray["project_id"]) && $editAllotProjectRowArray["project_id"] == $project["project_id"]) {
								echo $project["project_name"];
							}
                        }
                    }
			 }
			 else { ?>
            	<select name="project_id" required>
                	<option value="">-----</option>
					<?php
                    if($projectsArray) {
                        foreach($projectsArray as $project) { ?>
                            <option value="<?php echo $project["project_id"]; ?>"><?php echo $project["project_name"]; ?></option>
                            <?php
                        }
                    }
				?>
                </select>
                <?php
             }
			 ?>
            </td>
        </tr>
        <tr>
            <td>Employee Name</td>
            <td>
            	<?php
				 $columnsArray = array("status" => 1);
				 $employeesArray = $sqlObject->selectQuery(EMPLOYEES,$columnsArray);
				 
				 if(isset($_GET["edit"]) && !empty($_GET["edit"])) {
					 if($employeesArray) {
							foreach($employeesArray as $employee) { 
								$jobTypeName = $sqlObject->selectSimpleQuery("select job_name from ".JOBTYPES." where job_type_id = ".$employee["job_type_id"]);
								$jobTypeName = $jobTypeName[0];
								if(isset($editAllotProjectRowArray["emp_id"]) && $editAllotProjectRowArray["emp_id"] == $employee["emp_id"]) {
									echo $employee["emp_name"]." - ".$jobTypeName["job_name"]." (".$employee["emp_code"].")";
								}
							}
					   }
				 }
				 else {
					?>
                    <select name="emp_id" required>
                        <option value="">----</option>
                        <?php 
                          
                           if($employeesArray) {
                                foreach($employeesArray as $employee) { 
                                    $jobTypeName = $sqlObject->selectSimpleQuery("select job_name from ".JOBTYPES." where job_type_id = ".$employee["job_type_id"]);
                                    $jobTypeName = $jobTypeName[0];
                                    ?><option value="<?php echo $employee["emp_id"]; ?>"><?php echo $employee["emp_name"]." - ".$jobTypeName["job_name"]." (".$employee["emp_code"].")"; ?></option><?php
                                }
                           }
                        ?>
                    </select>
               		<?php
				 }
				?>
            </td>
        </tr>
        <tr>
            <td>Allotted Hours</td>
            <td><input type="text" name="allotted_hours" value="<?php if(isset($editAllotProjectRowArray["allotted_hours"])) echo $editAllotProjectRowArray["allotted_hours"]; else 0; ?>" required /></td>
        </tr>
        <tr>
            <td>Status</td>
            <td><input type="checkbox" name="status" value="1" <?php if(isset($editAllotProjectRowArray["status"]) && $editAllotProjectRowArray["status"]) echo "checked=checked"; ?> /></td>
        </tr>
        <tr>
            <td></td>
            <td>
                <?php if(isset($_GET["edit"]) && !empty($_GET["edit"])) : ?>
                    <input type="hidden" name="allotted_id" value="<?php echo $_GET["edit"]; ?>" />
                <?php endif; ?>
                <input type="submit" name="allotProjectSubmit" value="<?php if(isset($_GET["edit"])) echo "Update"; else echo "Submit"; ?>" />
            </td>
        </tr>
    </table>
</form>