<?php
class sql {
	function __construct() {
		global $database,$localhost,$username,$password,$connection;
		$connection = mysqli_connect($localhost,$username,$password,$database);
		
		
	if (mysqli_connect_errno()) {
			die("Database is not connected.");
		}
	}

	function selectQuery($tablename,$whereArray=array()) {
	    global $connection;
		if($tablename) {
			$query 	= "select * from ".$tablename;
			if(is_array($whereArray) && count($whereArray) > 0) {
				$count 	= count($whereArray);
				$number = 1;
				$query .= " where ";
				foreach($whereArray as $key => $value) {
					if($number == $count) {
						$query .= $key."='{$value}';";
					}
					else {
						$query .= $key."='{$value}' and ";
					}
					$number++;
				}
			}
			
			$rowArray = array();
			$result = mysqli_query($connection,$query);
			
			if($result) {
				while($row = mysqli_fetch_assoc($result)) {
					$rowArray[] = $row;
				}
			}
			
			return $rowArray;
		}
	}
	
	function selectSimpleQuery($query=null) {
	    global $connection;
		if($query) {
			$rowArray = array();
			$result = mysqli_query($connection,$query);
			
			if($result) {
				while($row = mysqli_fetch_assoc($result)) {
					$rowArray[] = $row;
				}
			}
			return $rowArray;
		}
	}
	
	function updateQuery($query=null) {
	    global $connection;
		if($query) {
			return mysqli_query($connection,$query) or die(mysqli_error($connection));
		}
	}

	function deleteQuery($tablename="",$whereArray=array()) {
	    global $connection;
		
		if($tablename && is_array($whereArray) && count($whereArray) > 0) {
			$query 	= "delete from ".$tablename." where ";
			$count 	= count($whereArray);
			$number = 1;
			
			foreach($whereArray as $key => $value) {
				if($number == $count) {
					$query .= $key."='{$value}';";
				}
				else {
					$query .= $key."='{$value}' and ";
				}
				$number++;
			}
			return mysqli_query($connection,$query) or die(mysqli_error($connection));
		}
	}
	
	function insertQuery($tablename="",$columnsArray=array()) {
	    global $connection;
		if($tablename && is_array($columnsArray) && count($columnsArray) > 0) {
			$count 	= count($columnsArray);
			$number = 1;
			$query 	= "insert into ".$tablename." set ";
			
			foreach($columnsArray as $key=>$value) {
				if($number == $count) {
					$query .= $key."='{$value}';";
				}
				else {
					$query .= $key."='{$value}', ";
				}
				$number++;
			}
			mysqli_query($connection,$query) or die(mysqli_error($connection));
			
			return mysqli_insert_id($connection);
		}
	}
}

$sqlObject = new sql();
?>