<?php
//Site Url
define("BASE_URL","http://kvrwebtechnologies.com/hrtoolcms/");

//Table Names
define("JOBSHIFTS","jobshifts");
define("EMPLOYEES","employees");
define("JOBTYPES","jobtypes");
define("PROJECTS","projects");
define("PROJECTS_SHEET","projects_sheet");
define("ALLOTTED_PROJECTS","allotted_projects");
define("ALLOTTED_PROJECTS_COMPLETED_HOURLY_DETAILS","allotted_projects_completed_hourly_details");
define("ADMIN","admin");
define("TEAMLEADERS","teamleaders");
define("EMPLOYEE_TYPE","employee_type");
define("UPWORK_PROFILES","upwork_profiles");
define("WORK_STATUS","work_status");
define("WORK_STATUS_DETAILS","work_status_details");
define("HIKES","hikes");
define("LEAVETYPES","leave_types");
define("LEAVES","leaves");
define("LEAVESDETAIL","leaves_detail");

//DOLLER IN RUPEES
define("DOLLER_VALUE_IN_RUPEES","67");

//Current Dates
$currentDate  					 = date("Y-m-d");
$currentYear  					 = date("Y");
$currentMonth 					 = date("m");
$currentDate  					 = date("d");
$TotalNumberOfDaysInCurrentMonth = cal_days_in_month(CAL_GREGORIAN, $currentMonth, $currentYear);
$startingMonthDate				 = date("Y-m-d",strtotime("01-".$currentMonth."-".$currentYear));
$endingMonthDate				 = date("Y-m-d",strtotime($TotalNumberOfDaysInCurrentMonth."-".$currentMonth."-".$currentYear));

define("CURRENT_DATE",$currentDate);
define("CURRENT_DAY_DATE",$currentMonth);
define("CURRENT_MONTH",$currentMonth);
define("CURRENT_YEAR",$currentYear);
define("CURRENT_STARTING_MONTH_DATE",$startingMonthDate);
define("CURRENT_ENDING_MONTH_DATE",$endingMonthDate);
define("CURRENT_TOTAL_DAYS_IN_MONTH",$TotalNumberOfDaysInCurrentMonth);

//Leaves Allotted
define("UNDER_THREE_MONTHS_LEAVES",1);
define("FOURTH_MONTH_TO_UNDER_TWO_YEARS_LEAVES",12);
define("TWO_TO_UNDER_THREE_YEARS_LEAVES",16);
define("THREE_TO_UNDER_FIVE_YEARS_LEAVES",18);
define("FIVE_YEARS_AND_ABOVE_LEAVES",20);
define("TOTAL_YEARLY_SICK_LEAVES",6);
define("ADDITIONAL_FIVE_YEARS_COMPLETION_LEAVES",5);
define("ADDITIONAL_SEVEN_YEARS_COMPLETION_LEAVES",5);
define("MARRIAGE_LEAVES",7);
define("PATERNITY_LEAVES",7);
define("RELIGIOUS_LEAVE",1);
define("BEREAVEMENT_LEAVES_LEVEL_1",7);
define("BEREAVEMENT_LEAVES_LEVEL_2",3);

//One Article Hours
//define("ONE_ARTICLE_HOURS","2");

//Login Messages
define("ADMIN_WRONG_DETAILS","Username or password is incorrect.");

//Work Status
define("WS_ADD_SUCCESS_MESSAGE","Work Status added successfully.");
define("WS_ADD_UNSUCCESS_MESSAGE","Work Status is added successfully.");
define("WS_EDIT_SUCCESS_MESSAGE","Work Status edited successfully.");
define("WS_EDIT_UNSUCCESS_MESSAGE","Work Status not edited successfully.");
define("WS_ALEADY_ADDED","Work Status is already added.");
define("WS_NO_PERMISSION_FOR_EDIT","You have no permission to last date status");

//Employee Messages
define("EMP_ADD_SUCCESS_MESSAGE","Employee added successfully.");
define("EMP_ADD_UNSUCCESS_MESSAGE","Employee not added successfully.");
define("EMP_EDIT_SUCCESS_MESSAGE","Employee edited successfully.");
define("EMP_EDIT_UNSUCCESS_MESSAGE","Employee not edited successfully.");
define("EMP_DELETE_SUCCESS_MESSAGE","Employee deleted successfully.");
define("EMP_DELETE_UNSUCCESS_MESSAGE","Employee not deleted successfully.");

//Hikes Messages
define("HIKE_ADD_SUCCESS_MESSAGE","Hike added successfully.");
define("HIKE_ADD_UNSUCCESS_MESSAGE","Hike not added successfully.");
define("HIKE_EDIT_SUCCESS_MESSAGE","Hike edited successfully.");
define("HIKE_EDIT_UNSUCCESS_MESSAGE","Hike not edited successfully.");
define("HIKE_DELETE_SUCCESS_MESSAGE","Hike deleted successfully.");
define("HIKE_DELETE_UNSUCCESS_MESSAGE","Hike not deleted successfully.");

//Team Leaders Messages
define("TL_ADD_SUCCESS_MESSAGE","Team leader added successfully.");
define("TL_ADD_UNSUCCESS_MESSAGE","Team leader not added successfully.");
define("TL_EDIT_SUCCESS_MESSAGE","Team leader edited successfully.");
define("TL_EDIT_UNSUCCESS_MESSAGE","Team leader not edited successfully.");
define("TL_DELETE_SUCCESS_MESSAGE","Team leader deleted successfully.");
define("TL_DELETE_UNSUCCESS_MESSAGE","Team leader not deleted successfully.");

//Job Type Messages
define("JOB_TYPE_ADD_SUCCESS_MESSAGE","Job type added successfully.");
define("JOB_TYPE_ADD_UNSUCCESS_MESSAGE","Job type not added successfully.");
define("JOB_TYPE_EDIT_SUCCESS_MESSAGE","Job type edited successfully.");
define("JOB_TYPE_EDIT_UNSUCCESS_MESSAGE","Job type not edited successfully.");
define("JOB_TYPE_DELETE_SUCCESS_MESSAGE","Job type deleted successfully.");
define("JOB_TYPE_DELETE_UNSUCCESS_MESSAGE","Job type not deleted successfully.");

//Project Messages
define("PROJECT_ADD_SUCCESS_MESSAGE","Project added successfully.");
define("PROJECT_ADD_UNSUCCESS_MESSAGE","Project not added successfully.");
define("PROJECT_EDIT_SUCCESS_MESSAGE","Project edited successfully.");
define("PROJECT_EDIT_UNSUCCESS_MESSAGE","Project not edited successfully.");
define("PROJECT_DELETE_SUCCESS_MESSAGE","Project deleted successfully.");
define("PROJECT_DELETE_UNSUCCESS_MESSAGE","Project not deleted successfully.");

//Project Sheet Messages
define("PROJECT_SHEET_ADD_SUCCESS_MESSAGE","Project added successfully.");
define("PROJECT_SHEET_ADD_UNSUCCESS_MESSAGE","Project not added successfully.");
define("PROJECT_SHEET_EDIT_SUCCESS_MESSAGE","Project edited successfully.");
define("PROJECT_SHEET_EDIT_UNSUCCESS_MESSAGE","Project not edited successfully.");
define("PROJECT_SHEET_DELETE_SUCCESS_MESSAGE","Project deleted successfully.");
define("PROJECT_SHEET_DELETE_UNSUCCESS_MESSAGE","Project not deleted successfully.");

//Allot Project Messages
define("ALLOT_PROJECT_ADD_SUCCESS_MESSAGE","Project allotted successfully.");
define("ALLOT_PROJECT_ADD_UNSUCCESS_MESSAGE","Project not allotted successfully.");
define("ALLOT_PROJECT_EDIT_SUCCESS_MESSAGE","Project allotted edited successfully.");
define("ALLOT_PROJECT_EDIT_UNSUCCESS_MESSAGE","Project allotted not edited successfully.");
define("ALLOT_PROJECT_DELETE_SUCCESS_MESSAGE","Project allotted deleted successfully.");
define("ALLOT_PROJECT_DELETE_UNSUCCESS_MESSAGE","Project allotted not deleted successfully.");
define("ALLOT_PROJECT_HOURS_EXCESS_LIMIT","You can not assign hours greater than from project monthly hours limit.");
define("ALLOT_PROJECT_HOURS_FULLY_ALLOTTED","All hours are allotted to employees.");
define("ALLOT_PROJECT_NOT_ASSIGN_MORE_THAN_MONTHLY_HOURS","You cannot assign work more than monthly hours limit. You can allot only %s hours.");
define("ALLOT_PROJECT_ALREADY_ASSIGNED","You already assigned this project to this employee.");

//Allot Project Completed Messages
define("ALLOT_PROJECT_COMPLETED_ADD_SUCCESS_MESSAGE","Completed Project added successfully.");
define("ALLOT_PROJECT_COMPLETED_ADD_UNSUCCESS_MESSAGE","Complted Project not added successfully.");
define("ALLOT_PROJECT_COMPLETED_EDIT_SUCCESS_MESSAGE","Complted Project edited successfully.");
define("ALLOT_PROJECT_COMPLETED_EDIT_UNSUCCESS_MESSAGE","Complted Project not edited successfully.");
define("ALLOT_PROJECT_COMPLETED_DELETE_SUCCESS_MESSAGE","Complted Project deleted successfully.");
define("ALLOT_PROJECT_COMPLETED_DELETE_UNSUCCESS_MESSAGE","Complted Project not deleted successfully.");

//Change Password Messages
define("CHANGE_PASSWORD_EMPTY_FEILDS_MESSAGE","Please fill all fields.");
define("CHANGE_PASSWORD_UPDATE_SUCCESS_MESSAGE","Password changed successfully.");
define("CHANGE_PASSWORD_UPDATE_UNSUCCESS_MESSAGE","Password is not changed.");
define("CHANGE_PASSWORD_WRONG_OLD_PASSWORD_MESSAGE","Please enter correct old password.");
define("CHANGE_PASSWORD_NOT_MATCH_PASSWORD_MESSAGE","New password is not matching with confirm password.");

//Upwork Profile Messages
define("UPWK_ADD_SUCCESS_MESSAGE","Upwork profile added successfully.");
define("UPWK_ADD_UNSUCCESS_MESSAGE","Upwork profile not added successfully.");
define("UPWK_EDIT_SUCCESS_MESSAGE","Upwork profile edited successfully.");
define("UPWK_EDIT_UNSUCCESS_MESSAGE","Upwork profile not edited successfully.");
define("UPWK_DELETE_SUCCESS_MESSAGE","Upwork profile deleted successfully.");
define("UPWK_DELETE_UNSUCCESS_MESSAGE","Upwork profile not deleted successfully.");

//Leaves Messages
define("LEAVES_APPLIED_SUCCESS_MESSAGE","Leave is applied successfully.");
define("LEAVES_APPLIED_UNSUCCESS_MESSAGE","Leave is not applied successfully.");
define("LEAVES_STATUS_UPDATED_SUCCESSFULLY","Leave status is updated successfully.");

//Domain Specific Email Credential
define("EMAILHOST","dev1.kvraustralia.com");
define("EMAILSETFRROM","hrtool@dev1.kvraustralia.com");
define("EMAILUSERNAME","hrtool@dev1.kvraustralia.com");
define("EMAILPASSWORD","v*J^d]~5_tR-");
define("EMAILPORT","587");

//HR Email Address
define("HREMAILADDRESS","hr@kvrwebtech.com");
?>
