<?php
$searchWhereClause 	= "";
$totalYears 		= "";

if(isset($_POST["submit"]) && $_POST["submit"] == "Search") {
	
	if(isset($_POST["emp_id"]) && $_POST["emp_id"]) {
		$searchWhereClause = " where emp.emp_id = ".$_POST["emp_id"];
	}
	
}
?>
<div class="leaves-container">
    <h1>Applied Leaves by Employees</h1><br /><br />

    <form action="" method="post">
        <?php $whereClause = array("status" => 1); ?>
        <?php $employees = $sqlObject->selectQuery(EMPLOYEES,$whereClause); ?>
        Employee: <select name="emp_id">
            <option value="">-- Select Employee</option>
            <?php foreach($employees as $employee) : ?>
            <option value="<?php echo $employee["emp_id"]; ?>"
                <?php echo (isset($_POST["emp_id"]) && $_POST["emp_id"] == $employee["emp_id"] ? "selected=selected" : ""); ?>>
                <?php echo $employee["emp_name"]; ?>
            </option>
            <?php endforeach; ?>
        </select>
        <input type="submit" name="submit" value="Search" />
    </form>

    <?php
	$resultSet = $sqlObject->selectSimpleQuery("select *,sum(ld.leave_for) as total_leaves from ".LEAVES." le inner join ".LEAVESDETAIL." as ld on le.leave_id = ld.leave_id inner join ".EMPLOYEES." as emp on le.emp_id = emp.emp_id ".$searchWhereClause." group by ld.leave_id");
	?>

    <?php
	if($resultSet) {
		if(isset($message) && !empty($message)) echo $message;
		?>
    <table width="100%">
        <tr>
            <td><strong>Sr. No.</strong></td>
            <td><strong>Emp Code</strong></td>
            <td><strong>Emp Name</strong></td>
            <td><strong>Emp Email</strong></td>
            <td><strong>Leave Subject</strong></td>
            <td><strong>Number of Leaves</strong></td>
            <td><strong>Approved Leaves</strong></td>
            <td><strong>Rejected Leaves</strong></td>
            <td><strong>Applied Date</strong></td>
            <td><strong>Action</strong></td>
        </tr>
        <?php
			$number = 1;
			foreach($resultSet as $row) { 
				$approvedLeaves		 = 0;
				$approvedLeavesArray = $sqlObject->selectSimpleQuery("select sum(leave_for) as total_approved_leaves from ".LEAVESDETAIL." where leave_id = ".$row["leave_id"]." and leave_status = 1");
				
				if(isset($approvedLeavesArray[0]["total_approved_leaves"])) {
					$approvedLeaves = $approvedLeavesArray[0]["total_approved_leaves"];
				}

                $rejectedLeaves		 = 0;
				$rejectedLeavesArray = $sqlObject->selectSimpleQuery("select sum(leave_for) as total_rejected_leaves from ".LEAVESDETAIL." where leave_id = ".$row["leave_id"]." and leave_status = 2");
				
				if(isset($rejectedLeavesArray[0]["total_rejected_leaves"])) {
					$rejectedLeaves = $rejectedLeavesArray[0]["total_rejected_leaves"];
				}
				?>
        <tr>
            <td><?php echo $number; ?></td>
            <td><?php echo $row["emp_code"]; ?></td>
            <td><a href="<?php echo BASE_URL; ?>admin?action=view-employee&emp_id=<?php echo $row["emp_id"]; ?>#leave-details"><?php echo $row["emp_name"]; ?></a></td>
            <td><?php echo $row["emp_email"]; ?></td>
            <td><?php echo $row["email_subject"]; ?></td>
            <td><?php echo $row["total_leaves"]; ?></td>
            <td><?php echo (isset($approvedLeaves) && $approvedLeaves ? $approvedLeaves : 0); ?></td>
            <td><?php echo (isset($rejectedLeaves) && $rejectedLeaves ? $rejectedLeaves : 0); ?></td>
            <td><?php echo date("d-M-Y",strtotime($row["created_date"])); ?></td>
            <td><a
                    href="<?php echo BASE_URL; ?>/admin?action=view-apply-for-leave&id=<?php echo $row["leave_id"]; ?>">View</a>
            </td>
        </tr><?php
				$number++;
			}
			?>
    </table>
    <?php
	}
	else {
		echo "No records found.";
	}
	?>
</div>