<?php
$message		= "";
$totalYears 	= "";
$employeeArray 	= $sqlObject->selectQuery(EMPLOYEES,array("status" => 1,"emp_id" => $_SESSION["emp_id"]));

if($employeeArray) {
	$employeeArray 	= $employeeArray[0];
	$dateOfJoining 	= $employeeArray["date_of_joining"];
	$currentDate	= date("Y-m-d");

	if($dateOfJoining && $currentDate) {
		$d1 		= new DateTime($dateOfJoining);
		$d2 		= new DateTime($currentDate);
		$interval 	= $d1->diff($d2);
		
		$diffInMonths 	= $interval->m;
		$diffInYears 	= $interval->y;

		$totalMonthsInCompany 	= ($diffInYears * 12) + $diffInMonths;
		$totalLeavesAllotted 	= calculateTotalNumberOfLeavesAllotted($totalMonthsInCompany);

		if($diffInYears && $diffInMonths) {
			$totalYears = $diffInYears." Years ".$diffInMonths." Months";
		}
		elseif(!$diffInYears && $diffInMonths) {
			$totalYears = $diffInMonths." Months"; 
		}
		elseif($diffInYears && !$diffInMonths) {
			$totalYears = $diffInYears." Years"; 
		}
	}
}

if(isset($_POST["submit"]) && $_POST["submit"] == "Submit") {
	
	$toEmails 	= explode(",",$_POST["to_emails"]);
	$ccEmails 	= explode(",",$_POST["cc_emails"]);
	$empId	  	= $_SESSION["emp_id"];
	$employeeArray 	= $sqlObject->selectQuery(EMPLOYEES,array("status" => 1,"emp_id" => $empId));

	if($employeeArray) {
		$employeeArray 	= $employeeArray[0];
	}
	
	$insertArray["emp_id"] 			= $_SESSION["emp_id"];
	$insertArray["to_emails"]		= $_POST["to_emails"];
	$insertArray["cc_emails"]		= $_POST["cc_emails"];
	$insertArray["email_subject"]	= $_POST["email_subject"];
	$insertArray["email_message"]	= $_POST["email_message"];
	
	$leaveId = $sqlObject->insertQuery(LEAVES,$insertArray);
	
	if($leaveId && isset($_POST["leaveCols"]) && $_POST["leaveCols"]) {
		foreach($_POST["leaveCols"] as $key=>$leaveCol) {
			$leaveCol["leave_id"] 	= $leaveId;
			$leaveDetailInserId 	= $sqlObject->insertQuery(LEAVESDETAIL,$leaveCol);
			
			if(!$leaveDetailInserId) {
				$message = "Error adding data in ".LEAVESDETAIL." table.";
				break;
			}
		}
		if(!$message) {
			$message = LEAVES_APPLIED_SUCCESS_MESSAGE;

			$phpMailerObject->IsSMTP(); // send via SMTP
    
			//Enable SMTP debugging
			// 0 = off (for production use)
			// 1 = client messages
			// 2 = client and server messages
			//$phpMailerObject->SMTPDebug = SMTP::DEBUG_SERVER;

			$phpMailerObject->Host = EMAILHOST; //SMTP server
			$phpMailerObject->Port = EMAILPORT; //set the SMTP port for @dhaval_bharadva
			
			if (strlen($username)) {
				$phpMailerObject->SMTPAuth = true;
				$phpMailerObject->Username = EMAILUSERNAME;
				$phpMailerObject->Password = EMAILPASSWORD;
			} else {
				$phpMailerObject->SMTPAuth = false;
			}

			$phpMailerObject->setFrom(EMAILSETFRROM);
			//Set an alternative reply-to address
			$phpMailerObject->addReplyTo($_SESSION["user_email_front"]);
			//Set who the message is to be sent to
			$toEmailsArray = explode(",",$_POST["to_emails"]);

			if($toEmailsArray) {
				foreach($toEmailsArray as $toEmail) {
					$toEmail = trim($toEmail);
					$phpMailerObject->addAddress($toEmail);
				}
			}
			
			$ccEmailsArray = explode(",",$_POST["cc_emails"]);
			if($ccEmailsArray) {
				foreach($ccEmailsArray as $ccEmail) {
					$ccEmail = trim($ccEmail);
					$phpMailerObject->addCC($ccEmail);
				}
			}
			$phpMailerObject->addCC($employeeArray["emp_email"]);
			//Set the subject line
			$phpMailerObject->Subject = $_POST["email_subject"]." - ".$employeeArray["emp_name"]." - ".$employeeArray["emp_code"];
			//Read an HTML message body from an external file, convert referenced images to embedded,
			//convert HTML into a basic plain-text alternative body
			$bodyMessage = "Dear Sir/Ma'am<br/>Greetings!!<br/><br/>";
			$bodyMessage .= "I have applied for leave. Below are the leave details. Kindly approve.<br/><br/>";
			
			$bodyMessage .= '
						<table style="width:80%;" cellpadding="5" boarder="1">
							<tr>
								<td colspan="2">';
									
									$whereClause = array("leave_id" => $leaveId);
									$leavesDetailArray = $sqlObject->selectQuery(LEAVESDETAIL,$whereClause);
									
									$bodyMessage .= '<table>
														<tr>
															<td><strong>Leave Type</strong></td>
															<td><strong>Leave For</strong></td>
															<td><strong>Leave Date</strong></td>
														</tr>';
														
														if($leavesDetailArray) : 
															foreach($leavesDetailArray as $leaveDetail) :
																$bodyMessage .= '<tr class="leaves-apply-row">
																					<td>';
																						
																						$whereLeaveTypesClauseArray = array("leave_type_id" => $leaveDetail["leave_type_id"]);
																						$leaveTypeArray = $sqlObject->selectQuery(LEAVETYPES,$whereLeaveTypesClauseArray);
																						
																						if($leaveTypeArray) {
																							$leaveType = $leaveTypeArray[0];
																						}
																						
																						$bodyMessage .= (isset($leaveType["leave_type_name"]) && $leaveType["leave_type_name"] ? $leaveType["leave_type_name"] : "-");
																								
																					$bodyMessage .= '</td>
																									<td>';
																		
																										if($leaveDetail["leave_for"] == 1) {
																											$bodyMessage .= "Full Day Leave";
																										}
																										elseif($leaveDetail["leave_for"] == 0.5) {
																											$bodyMessage .= "Half Day Leave";
																										}
																										elseif($leaveDetail["leave_for"] == 0.25) {
																											$bodyMessage .= "Short Day Leave";
																										}
																		
																					$bodyMessage .= '</td>	
																									<td>';
																		
																									if($leaveDetail["leave_for"] == 1) {
																										$bodyMessage .= date("d-M-Y",strtotime($leaveDetail["leave_date"]));
																									}
																									else {
																										$bodyMessage .= date("d-M-Y h:i:s A",strtotime($leaveDetail["leave_date"]));
																									}
																		
																					$bodyMessage .= '</td>
																	<td></td>
																</tr>';
															endforeach;
														endif;
													$bodyMessage .= '</table>
												</td>
											</tr>
										</table><br/>';
						$bodyMessage .= "<strong>Message</strong>: ".$_POST["email_message"]."</br></br>";
						$bodyMessage .= "Thanks & Regards<br/>".$employeeArray["emp_name"]."<br/>";
						if(isset($employeeArray["emp_designation"]) && !empty($employeeArray["emp_designation"])) {
							$bodyMessage .= "Designation: ".$employeeArray["emp_designation"]."<br/>";
						}
						if(isset($employeeArray["emp_phone"]) && !empty($employeeArray["emp_phone"])) {
							$bodyMessage .= "Phone: ".$employeeArray["emp_phone"]."<br/>";
						}

			
			
			$phpMailerObject->msgHTML($bodyMessage);
			
			//send the message, check for errors
			if (!$phpMailerObject->send()) {
				$message = 'Mailer Error: ' . $phpMailerObject->ErrorInfo;
			} else {
				?><script>window.location = "<?php echo BASE_URL; ?>?action=front-leaves";</script><?php
			}
		}
	}
	else {
		$message = LEAVES_APPLIED_UNSUCCESS_MESSAGE;
	}
}

if(isset($message)) {
	echo $message;
}
?>

<table>
    <tr>
        <td colspan="2">
            <center>
                <h2>Leave Details</h2>
            </center>
        </td>
    </tr>
    <tr>
        <td>Total Time in Company</td>
        <td><?php echo (isset($totalYears) && $totalYears ? $totalYears : ""); ?></td>
    </tr>
    <tr>
        <td>Total Yearly Leaves Allotted</td>
        <td><?php echo (isset($totalLeavesAllotted) && $totalLeavesAllotted ? $totalLeavesAllotted : "-"); ?></td>
    </tr>
    <tr>
        <td>Quarterly Leaves Allotted</td>
        <td>
            <?php 
				$totalQuarterLeaves = $totalLeavesAllotted / 4;
				echo ($totalQuarterLeaves ? $totalQuarterLeaves : "-"); 
			?>
        </td>
    </tr>
    <tr>
        <td>Quarterly Remaining Leaves</td>
        <td>
            <?php 
				$takenLeavesOfQuarter = calculateTakenLeavesOfQuarter(date("Y-m-d"),$_SESSION["emp_id"]);
				$remainingQuarterLeaves = $totalQuarterLeaves - $takenLeavesOfQuarter;
				echo ($remainingQuarterLeaves ? $remainingQuarterLeaves : "-");
			?>
        </td>
    </tr>
    <tr>
        <td>Total Sick Leaves</td>
        <td>
            <?php 
				echo TOTAL_YEARLY_SICK_LEAVES;
			?>
        </td>
    </tr>
    <tr>
        <td>Remaining Sick Leaves</td>
        <td>
            <?php 
				$sickLeavesTaken 	 = calculateTakenSickLeavesYearly(date("Y-m-d"),$_SESSION["emp_id"]);
				$remainingSickLeaves =  TOTAL_YEARLY_SICK_LEAVES - $sickLeavesTaken;
				echo $remainingSickLeaves;
			?>
        </td>
    </tr>
</table>

<center>
    <h2>Apply for Leave</h2>
</center>

<form action="" method="post" enctype="multipart/form-data">
    <table class="front-apply-for-leaves">
        <tr>
            <td>To: </td>
            <td>
                <input type="text" name="to_emails" value="" required />
            </td>
        </tr>
        <tr>
            <td>CC: </td>
            <td>
                <input type="text" name="cc_emails" value="<?php echo HREMAILADDRESS; ?>" />
            </td>
        </tr>
        <tr>
            <td>Email Subject: </td>
            <td>
                <input type="text" name="email_subject" value="" required />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <table>
                    <tr>
                        <td><strong>Leave Type</strong></td>
                        <td><strong>Leave For</strong></td>
                        <td><strong>Leave Date</strong></td>
                    </tr>
                    <tr class="leaves-apply-row">
                        <td>
                            <select name="leaveCols[0][leave_type_id]" class="leaveTypeId" required>
                                <option value="">-- Select Leave Type --</option>
                                <?php $leaveTypesArray = $sqlObject->selectQuery(LEAVETYPES); ?>
                                <?php if($leaveTypesArray) : ?>
                                <?php foreach($leaveTypesArray as $leaveType) : ?>
                                <option value="<?php echo $leaveType["leave_type_id"]; ?>">
                                    <?php echo $leaveType["leave_type_name"]; ?></option>
                                <?php endforeach; ?>
                                <?php endif; ?>
                            </select>
                        </td>
                        <td>
                            <select name="leaveCols[0][leave_for]" class="leaveFor" required>
                                <option value="1">Full Day Leave</option>
                                <option value="0.5">Half Day Leave</option>
                                <option value="0.25">Short Day Leave</option>
                            </select>
                        </td>
                        <td><input type="date" name="leaveCols[0][leave_date]" class="fromDate" /></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="42">
                            <center><button class="apply-for-more-days">Apply for more days</button></center>
                        </td>
                    </tr>
                    <tr>
                        <td>Message</td>
                        <td><textarea name="email_message" required></textarea></td>
                    </tr>
                </table>
            </td>
        </tr>

        <tr>
            <td colspan="2">
                <center><input type="submit" value="Submit" name="submit" />
                    <center>
            </td>
        </tr>
    </table>
</form>

<script>
jQuery(document).ready(function() {
    jQuery(document).on("click", ".apply-for-more-days", function() {
        var count = jQuery(".leaveTypeId").length;
        var leaveTypesHtml = jQuery(".leaves-apply-row .leaveTypeId").html().replace("selected", "");
        var leaveForHtml = jQuery(".leaves-apply-row .leaveFor").html().replace("selected", "");

        jQuery(".apply-for-more-days").closest("tr").before(
            '<tr><td><select class="leaveTypeId" name="leaveCols[' + count +
            '][leave_type_id]" required>' + leaveTypesHtml +
            '</select></td><td><select name="leaveCols[' + count +
            '][leave_for]" class="leaveFor" required>' + leaveForHtml +
            '</select></td><td><input type="date" name="leaveCols[' + count +
            '][leave_date]" class="leaveDate" required /></td><td><a href="javascript:void(0);" class="leaveColsRowDelete">Remove</a></td></tr>'
            );
        return false;
    })

    jQuery(document).on("click", ".leaveColsRowDelete", function() {
        jQuery(this).parent().parent().remove();
        var count = 0;
        jQuery(".leaveTypeId").each(function() {
            jQuery(this).attr('name', 'leaveCols[' + count + '][leave_type_id]');
            count = count + 1;
        });

        var count = 0;
        jQuery(".leaveFor").each(function() {
            jQuery(this).attr('name', 'leaveCols[' + count + '][leave_for]');
            count = count + 1;
        });

        var count = 0;
        jQuery(".leaveDate").each(function() {
            jQuery(this).attr('name', 'leaveCols[' + count + '][leave_date]');
            count = count + 1;
        });
    });

    jQuery(document).on("change", ".leaveFor", function() {
        if (jQuery(this).val() == 1) {
            jQuery(this).closest("td").next("td").find("input").attr("type", "date");
        } else if (jQuery(this).val() == 0.5 || jQuery(this).val() == 0.25) {
            jQuery(this).closest("td").next("td").find("input").attr("type", "datetime-local");
        }
    });
})
</script>