<?php
if(isset($_POST["completedProjectSubmit"]) && $_POST["completedProjectSubmit"] == "Submit") {
	$message = "";
	
	$parametersArray = array(
						"allotted_id" => $_POST["allotted_id"]
					   );
	
	$projectIdArray = $sqlObject->selectQuery(ALLOTTED_PROJECTS,$parametersArray);
	
	if($projectIdArray) {
	    $projectIdArray = $projectIdArray[0];
		$projectMonthlyHoursLimit = $sqlObject->selectSimpleQuery("select monthly_hours_limit from ".PROJECTS." where project_id = ".$projectIdArray["project_id"]);
		
		if(isset($projectMonthlyHoursLimit) && $projectMonthlyHoursLimit) {
			$projectMonthlyHoursLimit = $projectMonthlyHoursLimit[0];
			
			if($_POST["completed_hours"] > $projectMonthlyHoursLimit["monthly_hours_limit"]) {
				$message = ALLOT_PROJECT_HOURS_EXCESS_LIMIT;
			}
			
			$projectTotalCompletedHours = $sqlObject->selectSimpleQuery("select sum(completed_hours) as sum_completed_hours from ".ALLOTTED_PROJECTS_COMPLETED_HOURLY_DETAILS." where allotted_id = ".$_POST["allotted_id"]." and CAST(created_date AS DATE) between '".CURRENT_STARTING_MONTH_DATE."' and '".CURRENT_ENDING_MONTH_DATE."'");
		
			if($projectTotalCompletedHours) {
				$projectTotalCompletedHours = $projectTotalCompletedHours[0];
				
				if(isset($projectTotalCompletedHours["sum_completed_hours"]) && $projectTotalCompletedHours["sum_completed_hours"] >= $projectMonthlyHoursLimit["monthly_hours_limit"]) {
					$message = ALLOT_PROJECT_HOURS_FULLY_ALLOTTED;
				}
				else {
					$totalHours = $projectTotalCompletedHours["sum_completed_hours"] + $_POST["completed_hours"];
					
					if($totalHours > $projectMonthlyHoursLimit["monthly_hours_limit"]) {
						$remainingHours = $projectMonthlyHoursLimit["monthly_hours_limit"] - $projectTotalCompletedHours["sum_completed_hours"];
						$message = sprintf(ALLOT_PROJECT_NOT_ASSIGN_MORE_THAN_MONTHLY_HOURS,$remainingHours);
					}
				}
			}
		}
	
		/*$alreadyAssigned = $sqlObject->selectSimpleQuery("select * from ".ALLOTTED_PROJECTS." where project_id = ".$projectIdArray["project_id"]." and emp_id = ".$projectIdArray["emp_id"]." and CAST(created_date AS DATE) between '".CURRENT_STARTING_MONTH_DATE."' and '".CURRENT_ENDING_MONTH_DATE."'");
		
		
		if(count($alreadyAssigned) > 0 ) {
			$message = ALLOT_PROJECT_ALREADY_ASSIGNED;
		}*/
	}
	
	if(!$message) {
		$columnsArray = array(
							"allotted_id" 		  => $_POST["allotted_id"],
							"completed_hours" 	  => $_POST["completed_hours"]
						);
		
		if($sqlObject->insertQuery(ALLOTTED_PROJECTS_COMPLETED_HOURLY_DETAILS,$columnsArray)) {
			$message = ALLOT_PROJECT_COMPLETED_ADD_SUCCESS_MESSAGE;
		}
		else {
			$message = ALLOT_PROJECT_COMPLETED_ADD_UNSUCCESS_MESSAGE; 
		}
	}
}

if(isset($message)) {
	echo $message;
}
?>

<form action="" method="post">
    <table>
        <tr>
            <td>Employee Name</td>
            <td>
            	<select name="emp_id" class="getProjectEmployee" required>
                	<option value="">-----</option>
					
					<?php 
					$resultsArray = $sqlObject->selectSimpleQuery("select * from ".EMPLOYEES." as emp where emp.emp_id in ( select apro.emp_id from ".ALLOTTED_PROJECTS." as apro where emp.emp_id = apro.emp_id ) and emp.status = 1");
					
					if($resultsArray) {
						foreach($resultsArray as $result) {
							$jobTypeName = $sqlObject->selectSimpleQuery("select job_name from ".JOBTYPES." where job_type_id = ".$result["job_type_id"]);
							$jobTypeName = $jobTypeName[0];
							?><option value="<?php echo $result["emp_id"]; ?>"><?php echo $result["emp_name"]." - ".$jobTypeName["job_name"]." (".$result["emp_code"].")"; ?></option><?php
						}
					}
				?>
                </select>
            </td>
        </tr>
        <tr>
            <td>Project Name</td>
            <td>
                <select name="allotted_id" class="allotedProjects" required>
                    <option value="">----</option>
                    <?php 
					if(isset($_GET["edit"]) && $_GET["edit"]) {
						$columnsArray["cid"] = $_GET["edit"];
						$completdHoursArray = $sqlObject->selectQuery(ALLOTTED_PROJECTS_COMPLETED_HOURLY_DETAILS,$columnsArray);
						
						if($completdHoursArray) {
							$completdHoursArray = $completdHoursArray[0];
							$columnsAllotedProject["allotted_id"] = $completdHoursArray["allotted_id"];
							$allottedProjectArray 				  = $sqlObject->selectQuery(ALLOTTED_PROJECTS,$columnsAllotedProject);
							
							if($allottedProjectArray) {
								$allottedProjectArray = $allottedProjectArray[0];
								$columnsArray["emp_id"] = $allottedProjectArray["emp_id"];
								$allottedProjectArray = $sqlObject->selectQuery(ALLOTTED_PROJECTS,$columnsArray);
							
								if($allottedProjectArray) {
									$return = '<option value="">-----</option>';
									foreach($allottedProjectArray as $allottedProject) {
										$projectNameArray = $sqlObject->selectSimpleQuery("select project_name from ".PROJECTS." where project_id = ".$allottedProject["project_id"]." and status = 1");
										$projectNameArray = $projectNameArray[0];
										
										if($projectNameArray) {
											$return .= '<option value="'.$allottedProject["project_id"].'">'.$projectNameArray["project_name"].'</option>';
										}
									}
									echo $return;
								}
							}
						}
                	}
				?>

                </select>
            </td>
        </tr>
        <tr>
            <td>Completed Hours</td>
            <td><input type="text" name="completed_hours" value="<?php if(isset($editAllotProjectRowArray["completed_hours"])) echo $editAllotProjectRowArray["completed_hours"]; else 0; ?>" required /></td>
        </tr>
        <tr>
            <td></td>
            <td>
                <?php if(isset($_GET["edit"]) && !empty($_GET["edit"])) : ?>
                    <input type="hidden" name="allotted_id" value="<?php echo $_GET["edit"]; ?>" />
                <?php endif; ?>
                <input type="submit" name="completedProjectSubmit" value="<?php if(isset($_GET["edit"])) echo "Update"; else echo "Submit"; ?>" />
            </td>
        </tr>
    </table>
</form>