<?php
require_once("../../database.php");
$employees = $sqlObject->selectQuery(EMPLOYEES, array("status" => 1));
if ($employees) {
    foreach ($employees as $employee) {
        $phpMailerObject->IsSMTP(); // send via SMTP
    
        //Enable SMTP debugging
        // 0 = off (for production use)
        // 1 = client messages
        // 2 = client and server messages
        //$phpMailerObject->SMTPDebug = SMTP::DEBUG_SERVER;

        $phpMailerObject->Host = EMAILHOST; //SMTP server
        $phpMailerObject->Port = EMAILPORT; //set the SMTP port for @dhaval_bharadva
        
        if (strlen($username)) {
            $phpMailerObject->SMTPAuth = true;
            $phpMailerObject->Username = EMAILUSERNAME;
            $phpMailerObject->Password = EMAILPASSWORD;
        } else {
            $phpMailerObject->SMTPAuth = false;
        }

        $phpMailerObject->setFrom(EMAILSETFRROM);
        
        //Set an alternative reply-to address
        $phpMailerObject->addReplyTo($employee["emp_email"]);

        //Set who the message is to be sent to
        $phpMailerObject->addAddress(HREMAILADDRESS);

        if ($employee["date_of_birth"]) {
            $dateOfBirthMonthYear           = date("M-d", strtotime($employee["date_of_birth"]));
            $previousDateFromDateOfBirth    = date("M-d", strtotime($dateOfBirthMonthYear . ' -1 day'));           

            if ($previousDateFromDateOfBirth == date("M-d")) {

                //Set the subject line
                $phpMailerObject->Subject = "Birthday Reminder - ".$employee["emp_name"]." - ".$employee["emp_code"];
                //Read an HTML message body from an external file, convert referenced images to embedded,
                //convert HTML into a basic plain-text alternative body
                $bodyMessage = "Dear Ma'am<br/>Greetings!!<br/><br/>";
                $bodyMessage .= "Tomorrow is the birthday of ".$employee["emp_name"]."<br/><br/>";
                $bodyMessage .= "Thanks & Regards<br/>";
                
                $phpMailerObject->msgHTML($bodyMessage);
                
                //send the message, check for errors
                if (!$phpMailerObject->send()) {
                    error_log('Employee Birthday Mailer Error: ' . $phpMailerObject->ErrorInfo);
                }
                else {
                    echo "Employee Birthday Email Sent.<br/>";
                }
            }
        }

        if ($employee["spouse_date_of_birth"]) {
            $spouseDateOfBirthMonthYear           = date("M-d", strtotime($employee["spouse_date_of_birth"]));
            $previousDateFromSpouseDateOfBirth    = date("M-d", strtotime($spouseDateOfBirthMonthYear . ' -1 day'));           

            if ($previousDateFromSpouseDateOfBirth == date("M-d")) {

                //Set the subject line
                $phpMailerObject->Subject = "Spouse Birthday Reminder - ".$employee["emp_name"]." - ".$employee["emp_code"];
                //Read an HTML message body from an external file, convert referenced images to embedded,
                //convert HTML into a basic plain-text alternative body
                $bodyMessage = "Dear Ma'am<br/>Greetings!!<br/><br/>";
                $bodyMessage .= "Tomorrow is the birthday of ".$employee["emp_name"]." spouse (".$employee["spouse_name"].")<br/><br/>";
                $bodyMessage .= "Thanks & Regards<br/>";
                
                $phpMailerObject->msgHTML($bodyMessage);
                
                //send the message, check for errors
                if (!$phpMailerObject->send()) {
                    error_log('Spouse Birthday Mailer Error: ' . $phpMailerObject->ErrorInfo);
                }
                else {
                    echo "Spouse Birthday Email Sent.<br/>";
                }
            }
        }
    }
}