<?php
require_once("../../database.php");
$employees = $sqlObject->selectQuery(EMPLOYEES, array("status" => 1));
if ($employees) {
    foreach ($employees as $employee) {
        $phpMailerObject->IsSMTP(); // send via SMTP
    
        //Enable SMTP debugging
        // 0 = off (for production use)
        // 1 = client messages
        // 2 = client and server messages
        //$phpMailerObject->SMTPDebug = SMTP::DEBUG_SERVER;

        $phpMailerObject->Host = EMAILHOST; //SMTP server
        $phpMailerObject->Port = EMAILPORT; //set the SMTP port for @dhaval_bharadva
        
        if (strlen($username)) {
            $phpMailerObject->SMTPAuth = true;
            $phpMailerObject->Username = EMAILUSERNAME;
            $phpMailerObject->Password = EMAILPASSWORD;
        } else {
            $phpMailerObject->SMTPAuth = false;
        }

        $phpMailerObject->setFrom(EMAILSETFRROM);
        
        //Set an alternative reply-to address
        $phpMailerObject->addReplyTo($employee["emp_email"]);

        //Set who the message is to be sent to
        $phpMailerObject->addAddress(HREMAILADDRESS);
        
        if($employee["date_of_joining"] && $employee["hike_tenure"] && $employee["hike_tenure_day_month_year"]) {
            $lastHikeDateArray = $sqlObject->selectSimpleQuery("select created_date from ".HIKES." where emp_id = ".$employee["emp_id"]." order by hike_id desc limit 1");

            if($lastHikeDateArray) {
                $lastHikeDateArray = $lastHikeDateArray[0];
                $lastHikeDate = date('Y-m-d',strtotime($lastHikeDateArray["created_date"]));
            }
            else {
                $lastHikeDate = date('Y-m-d',strtotime($employee["date_of_joining"]));
            }

            if ($lastHikeDate) {

                if($employee["hike_tenure_day_month_year"] == "day") {
                   // $nextHikeReminderDate  = date("M-d", strtotime($lastHikeDate . ' '.$employee["hike_tenure"].' day'));
                }
                elseif($employee["hike_tenure_day_month_year"] == "month") {
                    $beforeOneMonthHikeMonth = $employee["hike_tenure"] - 1;
                    $exactHikeTenure         = $employee["hike_tenure"];
                    $nextHikeReminderDate    = date("Y-m-d", strtotime($lastHikeDate . ' '.$beforeOneMonthHikeMonth.' month'));
                    $exactHikeDate           = date("Y-m-d", strtotime($lastHikeDate . ' '.$exactHikeTenure.' month'));
                }
                elseif($employee["hike_tenure_day_month_year"] == "year") {
                    $beforeOneMonthHikeMonth = ($employee["hike_tenure"] * 12) - 1;
                    $exactHikeTenure         = $employee["hike_tenure"] * 12;
                    $nextHikeReminderDate    = date("Y-m-d", strtotime($lastHikeDate . ' '.$beforeOneMonthHikeMonth.' month'));
                    $exactHikeDate           = date("Y-m-d", strtotime($lastHikeDate . ' '.$exactHikeTenure.' month'));
                }

                if (strtotime(date("d-M")) >= strtotime(date("d-M",strtotime($nextHikeReminderDate))) && strtotime(date("d-M")) <= strtotime(date("d-M",strtotime($exactHikeDate)))) {
                    $exactHikeDateWithCurrentYear = date("d-M",strtotime($exactHikeDate))."-".date("Y");
                    //Set the subject line
                    $phpMailerObject->Subject = "Hike Reminder - ".$employee["emp_name"]." - ".$employee["emp_code"];
                    //Read an HTML message body from an external file, convert referenced images to embedded,
                    //convert HTML into a basic plain-text alternative body
                    $bodyMessage = "Dear Ma'am<br/>Greetings!!<br/><br/>";
                    $bodyMessage .= $employee["emp_name"]." hike date is ".$exactHikeDateWithCurrentYear.". Kindly consider.<br/><br/>";
                    $bodyMessage .= "Thanks & Regards<br/>";
                    
                    $phpMailerObject->msgHTML($bodyMessage);
                    
                    //send the message, check for errors
                    if (!$phpMailerObject->send()) {
                        error_log('Hike Reminder Mailer Error: ' . $phpMailerObject->ErrorInfo);
                    }
                    else {
                        echo "Hike Reminder Email Sent.<br/>";
                    }
                }
            }
        }
    }
}