jQuery(document).ready(function(){
	
	//Work Status
	jQuery(document).on("click",".addMoreProject",function(){
		var counter 		= jQuery(this).attr("data-project-counter");
		counter 			= parseInt(counter) + 1;
		var projectDropdown = jQuery(".projectDropdown").html();
		
		jQuery(this).before('<tr><td><select name="workstatus['+counter+'][psheet_id]" class="psheetId projectDropdown" required>'+projectDropdown+'</select></td><td><select name="workstatus['+counter+'][hours]" class="hours" required><option value="">-- Hours --</option><option value="0">0</option><option value="60">1</option><option value="120">2</option><option value="180">3</option><option value="240">4</option><option value="300">5</option><option value="360">6</option><option value="420">7</option><option value="480">8</option><option value="540">9</option><option value="600">10</option><option value="660">11</option><option value="720">12</option><option value="780">13</option><option value="840">14</option><option value="900">15</option><option value="960">16</option><option value="1020">17</option><option value="1080">18</option><option value="1140">19</option><option value="1200">20</option><option value="1260">21</option><option value="1320">22</option><option value="1380">23</option><option value="1440">24</option></select><select name="workstatus['+counter+'][minutes]" class="minutes" required><option value="">-- Minutes --</option><option value="0">0</option><option value="5">5</option><option value="10">10</option><option value="15">15</option><option value="20">20</option><option value="25">25</option><option value="30">30</option><option value="35">35</option><option value="40">40</option><option value="45">45</option><option value="50">50</option><option value="55">55</option><option value="60">60</option></select></td><td><textarea name="workstatus['+counter+'][task_description]" class="taskDescription"></textarea></td><td><a href="javascript:void(0);" class="deleteWorkStatusProjectRow">Delete</a></td></tr>');
		jQuery(this).attr("data-project-counter",counter);
		
	})
	
	jQuery(document).on("click",".deleteWorkStatusProjectRow",function(){
		jQuery(this).parent().parent().remove();
	})
	//End Work Status
	
	if(jQuery(".totalHours").length > 0) {
		jQuery(".totalHours").each(function(){
			if(parseInt(jQuery(this).html()) == 0) {
				jQuery(this).parent().parent().parent().hide();
				jQuery(this).parent().parent().parent().prev().hide();
				//jQuery(this).parent().parent().parent().prev().prev().hide();
			}
		});
	}
	
	if(jQuery( ".projectStartDate" ).length > 0) {
		var dateFormat = "yy-mm-dd",
		from = jQuery( ".projectStartDate" )
				.datepicker({
					changeMonth: true,
					numberOfMonths: 1,
					dateFormat: 'yy-mm-dd'
			   })
			   .on( "change", function() {
					//to.datepicker( "option", "minDate", getDate( this ) );
					to.datepicker( "option", "dateFormat", 'yy-mm-dd' );
			   }),
		to = jQuery( ".projectEndDate" ).datepicker({
				changeMonth: true,
				numberOfMonths: 1,
				dateFormat: 'yy-mm-dd'
			 })
			.on( "change", function() {
				from.datepicker( "option", "dateFormat", 'yy-mm-dd' );
				//from.datepicker( "option", "maxDate", getDate( this ) );
			});
	}
	
	jQuery(".delRecord").click(function(){
		var delId 	= jQuery(this).attr("data-id");
		var action 	= jQuery(this).attr("data-action");
		
		statusConfirm = confirm("Do you want to delete this record?");
		
		if(statusConfirm) {
			window.location = "?action="+action+"&del="+delId;
		}
	});
	
	jQuery(document).on("change",".getProjectEmployee",function(){
		var empId = jQuery(".getProjectEmployee option:selected").val();
		
		jQuery.ajax({
			url: "ajax-get-alloted-projects.php",
			type: "POST",
			data: "emp_id="+empId,
			success: function(data){
						jQuery(".allotedProjects").html(data);
					 }
		});
	});
	
	jQuery(document).on("change",".allot-emp-id",function(){
		var element = jQuery("option:selected", this);
		var empTypeId = element.data("emp-type");
		
		if(empTypeId == 1) {
			jQuery(".projectStartDate").attr("disabled","disabled");
			jQuery(".projectEndDate").attr("disabled","disabled");
			jQuery(".projectStartDate").parent().parent().hide();
			jQuery(".projectEndDate").parent().parent().hide();
		}
		else {
			jQuery(".projectStartDate").removeAttr("disabled");
			jQuery(".projectEndDate").removeAttr("disabled");
			jQuery(".projectStartDate").parent().parent().show();
			jQuery(".projectEndDate").parent().parent().show();
		}
		
	});
	
	jQuery("#contentTeamNumberOfArticles").blur(function(){
		if(jQuery(this).val().trim() == "") {
			jQuery(this).val(0);
		}
		var contentTeamNumberOfHours = parseFloat(jQuery(this).val()) * 2;
		jQuery("#contentTeamNumberOfHours").val(contentTeamNumberOfHours);
		
		var contentTeamNumberOfArticles = parseFloat(jQuery(this).val()) ? parseFloat(jQuery(this).val()) : 0;
		var rupeesValuePerDoller 		= jQuery("#contentTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate					= parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		
		var hourlyRateInRupees 			= hourlyRate * rupeesValuePerDoller;
		var contentTeamRevenueEarned	= contentTeamNumberOfHours * hourlyRateInRupees;
		jQuery("#contentTeamRevenueEarned").val(contentTeamRevenueEarned);
		
		var totalHoursOfProject 	= parseFloat(jQuery("[name='total_hours_of_project']").val()) ? parseFloat(jQuery("[name='total_hours_of_project']").val()) : 0;
		var developmentProjectHours = parseFloat(jQuery("#developmentTeamNumberOfHours").val()) ? parseFloat(jQuery("#developmentTeamNumberOfHours").val()) : 0;
		var designProjectHours 		= parseFloat(jQuery("#designTeamNumberOfHours").val()) ? parseFloat(jQuery("#designTeamNumberOfHours").val()) : 0;
		var socialMediaProjectHours = parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) ?  parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) : 0;
		var remainingSEOHours 		= totalHoursOfProject - (contentTeamNumberOfHours + developmentProjectHours + designProjectHours + socialMediaProjectHours);
		
		jQuery("#seoTeamNumberOfHours").val(remainingSEOHours);
		var seoTeamRevenueEarned	= remainingSEOHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});

	jQuery("#developmentTeamNumberOfHours").blur(function(){
		if(jQuery(this).val().trim() == "") {
			jQuery(this).val(0);
		}
		
		var developmentTeamNumberOfHours = parseFloat(jQuery(this).val()) ? parseFloat(jQuery(this).val()) : 0;
		var rupeesValuePerDoller 		 = jQuery("#developmentTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate					 = parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		
		var hourlyRateInRupees 				= hourlyRate * rupeesValuePerDoller;
		var developmentTeamRevenueEarned	= developmentTeamNumberOfHours * hourlyRateInRupees;
		jQuery("#developmentTeamRevenueEarned").val(developmentTeamRevenueEarned);
		
		//alert(developmentTeamNumberOfHours);
		
		var totalHoursOfProject 	= parseFloat(jQuery("[name='total_hours_of_project']").val()) ? parseFloat(jQuery("[name='total_hours_of_project']").val()) : 0;
		var contentProjectHours 	= parseFloat(jQuery("#contentTeamNumberOfHours").val()) ? parseFloat(jQuery("#contentTeamNumberOfHours").val()) : 0;
		var designProjectHours 		= parseFloat(jQuery("#designTeamNumberOfHours").val()) ? parseFloat(jQuery("#designTeamNumberOfHours").val()) : 0;
		var socialMediaProjectHours = parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) ?  parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) : 0;
		var remainingSEOHours 		= totalHoursOfProject - (contentProjectHours + developmentTeamNumberOfHours + designProjectHours + socialMediaProjectHours);
		//alert("Total Hours: "+totalHoursOfProject+" Content: "+contentProjectHours+" Development:"+ developmentTeamNumberOfHours+ " Design: "+ designProjectHours+" Social: "+socialMediaProjectHours);
		jQuery("#seoTeamNumberOfHours").val(remainingSEOHours);
		var seoTeamRevenueEarned	= remainingSEOHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});
	
	/*jQuery("#developmentTeamRevenueEarned").focus(function(){
		
	});*/
	
	jQuery("#designTeamNumberOfHours").blur(function(){
		if(jQuery(this).val().trim() == "") {
			jQuery(this).val(0);
		}
		
		var designTeamNumberOfHours = parseFloat(jQuery(this).val()) ? parseFloat(jQuery(this).val()) : 0;
		var rupeesValuePerDoller 	= jQuery("#designTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate				= parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		
		var hourlyRateInRupees 			= hourlyRate * rupeesValuePerDoller;
		var designTeamRevenueEarned		= designTeamNumberOfHours * hourlyRateInRupees;
		jQuery("#designTeamRevenueEarned").val(designTeamRevenueEarned);
		
		
		var totalHoursOfProject 	= parseFloat(jQuery("[name='total_hours_of_project']").val()) ? parseFloat(jQuery("[name='total_hours_of_project']").val()) : 0;
		var contentProjectHours 	= parseFloat(jQuery("#contentTeamNumberOfHours").val()) ? parseFloat(jQuery("#contentTeamNumberOfHours").val()) : 0;
		var developmentProjectHours = parseFloat(jQuery("#developmentTeamNumberOfHours").val()) ? parseFloat(jQuery("#developmentTeamNumberOfHours").val()) : 0;
		var socialMediaProjectHours = parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) ?  parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) : 0;
		var remainingSEOHours 		= totalHoursOfProject - (contentProjectHours + developmentProjectHours + designTeamNumberOfHours + socialMediaProjectHours);
		jQuery("#seoTeamNumberOfHours").val(remainingSEOHours);
		var seoTeamRevenueEarned	= remainingSEOHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});
	
	/*jQuery("#designTeamRevenueEarned").focus(function(){
		
	});*/
	
	jQuery("#socialMediaTeamNumberOfHours").blur(function(){
		if(jQuery(this).val().trim() == "") {
			jQuery(this).val(0);
		}
		
		var socialMediaTeamNumberOfHours = parseFloat(jQuery(this).val()) ? parseFloat(jQuery(this).val()) : 0;
		var rupeesValuePerDoller 		 = jQuery("#socialMediaTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate					 = parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		
		var hourlyRateInRupees 				= hourlyRate * rupeesValuePerDoller;
		var socialMediaTeamRevenueEarned	= socialMediaTeamNumberOfHours * hourlyRateInRupees;
		jQuery("#socialMediaTeamRevenueEarned").val(socialMediaTeamRevenueEarned);
		
		var totalHoursOfProject 	= parseFloat(jQuery("[name='total_hours_of_project']").val()) ? parseFloat(jQuery("[name='total_hours_of_project']").val()) : 0;
		var contentProjectHours 	= parseFloat(jQuery("#contentTeamNumberOfHours").val()) ? parseFloat(jQuery("#contentTeamNumberOfHours").val()) : 0;
		var developmentProjectHours = parseFloat(jQuery("#developmentTeamNumberOfHours").val()) ? parseFloat(jQuery("#developmentTeamNumberOfHours").val()) : 0;
		var designProjectHours 		= parseFloat(jQuery("#designTeamNumberOfHours").val()) ? parseFloat(jQuery("#designTeamNumberOfHours").val()) : 0;
		var remainingSEOHours 		= totalHoursOfProject - (contentProjectHours + developmentProjectHours + designProjectHours + socialMediaTeamNumberOfHours);
		jQuery("#seoTeamNumberOfHours").val(remainingSEOHours);
		var seoTeamRevenueEarned	= remainingSEOHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});
	
	/*jQuery("#socialMediaTeamRevenueEarned").focus(function(){
		
	}); */ 
	
	jQuery("#seoTeamNumberOfHours").blur(function(){
		if(jQuery(this).val().trim() == "") {
			jQuery(this).val(0);
		}
		
		var seoTeamNumberOfHours 		= parseFloat(jQuery(this).val()) ? parseFloat(jQuery(this).val()) : 0;
		var rupeesValuePerDoller 		= jQuery("#seoTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate					= parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		
		var hourlyRateInRupees 		= hourlyRate * rupeesValuePerDoller;
		var seoTeamRevenueEarned	= seoTeamNumberOfHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});
	
	jQuery("[name='total_hours_of_project']").blur(function(){
		var totalHoursOfProject 	= parseFloat(jQuery("[name='total_hours_of_project']").val()) ? parseFloat(jQuery("[name='total_hours_of_project']").val()) : 0;
		var contentProjectHours 	= parseFloat(jQuery("#contentTeamNumberOfHours").val()) ? parseFloat(jQuery("#contentTeamNumberOfHours").val()) : 0;
		var developmentProjectHours = parseFloat(jQuery("#developmentTeamNumberOfHours").val()) ? parseFloat(jQuery("#developmentTeamNumberOfHours").val()) : 0;
		var designProjectHours 		= parseFloat(jQuery("#designTeamNumberOfHours").val()) ? parseFloat(jQuery("#designTeamNumberOfHours").val()) : 0;
		var socialMediaProjectHours = parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) ?  parseFloat(jQuery("#socialMediaTeamNumberOfHours").val()) : 0;
		var remainingSEOHours 		= totalHoursOfProject - (contentProjectHours + developmentProjectHours + designProjectHours + socialMediaProjectHours);
		jQuery("#seoTeamNumberOfHours").val(remainingSEOHours);
		
		var rupeesValuePerDoller 		= jQuery("#seoTeamRevenueEarned").attr("data-doller-in-rupees");	
		var hourlyRate					= parseFloat(jQuery("[name='hourly_rate']").val()) ? parseFloat(jQuery("[name='hourly_rate']").val()) : 0;
		var hourlyRateInRupees 		= hourlyRate * rupeesValuePerDoller;
		
		var seoTeamRevenueEarned	= remainingSEOHours * hourlyRateInRupees;
		jQuery("#seoTeamRevenueEarned").val(seoTeamRevenueEarned);
	});
	
});

function currencyConverter(rupeesVal,currentVal) {
	var totalRupeesValue = rupeesVal * currentVal;
	jQuery("#rupeesValue").html(totalRupeesValue);
	
	if(jQuery("[name='total_hours_of_project']").val() != "") {
		var totalRevenueEarned = jQuery("[name='total_hours_of_project']").val() * totalRupeesValue;
		jQuery("[name='total_revenue_earned']").val(totalRevenueEarned);
	}
}

function totalRevenueCalculate(totalProjectHours) {
	var rupeesValue = jQuery("#rupeesValue").html();
	var totalRevenueEarned = rupeesValue * totalProjectHours;
	jQuery("[name='total_revenue_earned']").val(totalRevenueEarned);
}

function getDate( element ) {
	var date;
	try {
		date = jQuery.datepicker.parseDate( dateFormat, element.value );
	} catch( error ) {
		date = null;
	}

	return date;
};