<?php
if(isset($_SESSION["user_type"]) && $_SESSION["user_type"] == 2) :
	?><script>window.location = "?action=dashboard"</script><?php
endif;

if(isset($_GET["emp_id"]) && !empty($_GET["emp_id"])) {
	$columnsArray = array();
	$columnsArray["emp_id"] = $_GET["emp_id"];
	$employeeArray = $sqlObject->selectQuery(EMPLOYEES,$columnsArray);
	
	if($employeeArray) {
		$employeeArray 	= $employeeArray[0];
		$dateOfJoining 	= $employeeArray["date_of_joining"];
		$currentDate	= date("Y-m-d");

		if($dateOfJoining && $currentDate) {
			$d1 		= new DateTime($dateOfJoining);
			$d2 		= new DateTime($currentDate);
			$interval 	= $d1->diff($d2);
			
			$diffInMonths 	= $interval->m;
			$diffInYears 	= $interval->y;

			$totalMonthsInCompany 	= ($diffInYears * 12) + $diffInMonths;
			$totalLeavesAllotted 	= calculateTotalNumberOfLeavesAllotted($totalMonthsInCompany);

			if($diffInYears && $diffInMonths) {
				$totalYears = $diffInYears." Years ".$diffInMonths." Months";
			}
			elseif(!$diffInYears && $diffInMonths) {
				$totalYears = $diffInMonths." Months"; 
			}
			elseif($diffInYears && !$diffInMonths) {
				$totalYears = $diffInYears." Years"; 
			}
		}

	}
}
?> 
 <link href="css/view-employee.css" rel="stylesheet" />
 
 
 <div class="main-content">
    
    <div class="header pb-8 pt-5 pt-2 d-flex align-items-center" style="min-height: 400px; background-image: url(https://kvrwebtechnologies.com/hrtoolcms/images/cover.jpg); background-size: cover; background-position: center top;">
      <!-- Mask -->
      <span class="mask bg-gradient-default opacity-8"></span>
      <!-- Header container -->
      <div class="container-fluid d-flex align-items-center">
        <div class="row">
          <div class="col-lg-12 col-md-12">
            <h1 class="display-2 text-white"><?php echo (isset($employeeArray["emp_name"]) && $employeeArray["emp_name"] ? $employeeArray["emp_name"] : ""); ?> Profile</h1>
            <p class="text-white mt-0 mb-5">This is your profile page.</p>
            <a href="https://kvrwebtechnologies.com/hrtoolcms/admin/?action=add_employee&edit=<?php echo $employeeArray["emp_id"]; ?>" class="btn btn-info">Edit profile</a>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--7">
      <div class="row">
        <div class="col-xl-4 order-xl-2 mb-5 mb-xl-0">
          <div class="card card-profile shadow">
            <div class="row justify-content-center">
              <div class="col-lg-3 order-lg-2">
                <div class="card-profile-image">
                  <a href="#">
                    <img src="https://kvrwebtechnologies.com/hrtoolcms/images/user-placeholder.jpg" class="rounded-circle">
                  </a>
                </div>
              </div>
            </div>
            <div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
              <div class="d-flex justify-content-between">
                <!-- <a href="#" class="btn btn-sm btn-info mr-4">Connect</a> -->
                <!--  <a href="#" class="btn btn-sm btn-default float-right">Message</a> -->
              </div>
            </div>
            <div class="card-body pt-0 pt-md-4">
              <!-- <div class="row">
                <div class="col">
                  <div class="card-profile-stats d-flex justify-content-center mt-md-5">
                    <div>
                      <span class="heading">22</span>
                      <span class="description">Friends</span>
                    </div>
                    <div>
                      <span class="heading">10</span>
                      <span class="description">Photos</span>
                    </div>
                    <div>
                      <span class="heading">89</span>
                      <span class="description">Comments</span>
                    </div>
                  </div>
                </div>
              </div> -->
              <div class="text-center  pt-5 mt-5">
                <h3>
                  <?php echo (isset($employeeArray["emp_name"]) && $employeeArray["emp_name"] ? $employeeArray["emp_name"] : ""); ?><span class="font-weight-light">, <?php
			  
				  $dob = $employeeArray["date_of_birth"]	;
				$diff = (date('Y') - date('Y',strtotime($dob)));
				echo $diff;
				  ?></span>
                </h3>
                <div class="h5 font-weight-300">
                  <i class="fa fa-map-marker" aria-hidden="true"></i> <?php echo $employeeArray["address_local"]; ?>
                </div>
                <div class="h5 mt-4"> 
                  <i class="fa fa-briefcase" aria-hidden="true"> </i> <?php echo $employeeArray["emp_designation"]; ?> 
                </div>
               
				<div class="h5 mt-4">
                  <i class="fa fa-envelope" aria-hidden="true"></i> <?php echo $employeeArray["emp_email"]; ?>
                </div>
				<div  class="h5 mt-4">
                  <i class="fa fa-phone" aria-hidden="true"></i> <?php echo $employeeArray["emp_phone"]; ?>
                </div>
				 <div  class="h5 mt-4">
                  <i class="fa fa-id-card" aria-hidden="true"></i> <?php echo $employeeArray["emp_code"]; ?>
                </div>
                <hr class="my-4">
                
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-8 order-xl-1">
          <div class="card bg-secondary shadow">
            <div class="card-header bg-white border-0">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0"><?php echo $employeeArray["emp_name"]; ?> account</h3>
                </div>
                <div class="col-4 text-right">
                  <a href="" class="btn btn-sm btn-primary">
				  <?php 
					if(isset($employeeArray["status"])) { 
						if($employeeArray["status"] == 1){
							echo "Acive";
						}else{
							echo "Not Acive";
						}
						
					}
				?>
				  </a>
                </div>
              </div>
            </div>
            <div class="card-body">
			
              <form>
                <h6 class="heading-small text-muted mb-4">User Personal information</h6>
                <div class="pl-lg-4">
                  <div class="row">
                   
						 <div class="col-lg-4">
                      <div class="form-group focused">
					  
                        <label class="form-control-label" for="input-username">Date of Birthday	 </label>
						<p>
						<?php 
							if(isset($employeeArray["date_of_birth"]) && !empty($employeeArray["date_of_birth"])) { 
								echo date('d M Y', strtotime($employeeArray["date_of_birth"])); 
							}
						?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Spouse Name </label>
						<p>
						<?php 
						if(isset($employeeArray["spouse_name"]) && !empty($employeeArray["spouse_name"])) { 
							echo $employeeArray["spouse_name"]; 
						}
						?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Spouse Birthday </label> 
						<p>
						<?php 
							if(isset($employeeArray["spouse_date_of_birth"]) && !empty($employeeArray["spouse_date_of_birth"])) { 
								echo $employeeArray["spouse_date_of_birth"]; 
							}
						?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Anniversary Date	 </label> 
						<p>
						<?php 
						if(isset($employeeArray["anniversary_date"]) && !empty($employeeArray["anniversary_date"])) { 
							echo $employeeArray["anniversary_date"]; 
						}
						?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
					  
                        <label class="form-control-label" for="input-username">Child1 Name </label>
						<p><?php 
				if(isset($employeeArray["child1_name"]) && !empty($employeeArray["child1_name"])) { 
					echo $employeeArray["child1_name"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Child1 Date </label>
						<p><?php 
				if(isset($employeeArray["child1_date_of_birth"]) && !empty($employeeArray["child1_date_of_birth"])) { 
					echo $employeeArray["child1_date_of_birth"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Child2 Name </label> 
						<p><?php 
				if(isset($employeeArray["child2_name"]) && !empty($employeeArray["child2_name"])) { 
					echo $employeeArray["child2_name"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Child2 Date </label>
	<p><?php 
				if(isset($employeeArray["child2_date_of_birth"]) && !empty($employeeArray["child2_date_of_birth"])) { 
					echo $employeeArray["child2_date_of_birth"]; 
				}
			?></p>	
</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">			
                        <label class="form-control-label" for="input-username">Child3 Name </label> 
								<p><?php 
				if(isset($employeeArray["child3_name"]) && !empty($employeeArray["child3_name"])) { 
					echo $employeeArray["child3_name"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Child3 Date </label> 
							<p><?php 
				if(isset($employeeArray["child3_date_of_birth"]) && !empty($employeeArray["child3_date_of_birth"])) { 
					echo $employeeArray["child3_date_of_birth"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Blood Group </label> 
						<p>
							<?php 
				if(isset($employeeArray["blood_group"]) && !empty($employeeArray["blood_group"])) { 
					echo $employeeArray["blood_group"]; 
				}
			?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Alternative Phone Number </label> 
						<p><?php 
				if(isset($employeeArray["alternative_phone_number"]) && !empty($employeeArray["alternative_phone_number"])) { 
					echo $employeeArray["alternative_phone_number"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
						
                        <label class="form-control-label" for="input-username">Family Phone Number (Mother/Father/Spouse) </label>
						<p>
							<?php 
				if(isset($employeeArray["family_phone_number"]) && !empty($employeeArray["family_phone_number"])) { 
					echo $employeeArray["family_phone_number"]; 
				}
			?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Aadhaar Card </label>
						<p><?php 
				if(isset($employeeArray["aadhaar_card"]) && !empty($employeeArray["aadhaar_card"])) { 
					echo $employeeArray["aadhaar_card"]; 
				}
			?></p>
			</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Pan Card	 </label><p>
						<?php 
				if(isset($employeeArray["pan_card"]) && !empty($employeeArray["pan_card"])) { 
					echo $employeeArray["pan_card"]; 
				}
			?>
						</p>
						</div>
						</div>
						
						
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Comment </label> 
						<p>
							<?php 
				if(isset($employeeArray["comment"]) && !empty($employeeArray["comment"])) { 
					echo $employeeArray["comment"]; 
				}
			?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Status </label> 
						<p>
			<?php 
				if(isset($employeeArray["status"]) && !empty($employeeArray["status"])) { 
					echo ($employeeArray["status"] == 1 ? "Active" : "Not Active"); 
				}
			?>
						</p>
                       </div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                      </div>
                    </div>
					
                  </div>
                  
                </div>
                <hr class="my-4">
                <!-- Address -->
                <h6 class="heading-small text-muted mb-4">User information</h6>
                <div class="pl-lg-4">
                  <div class="row">
                    
					 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Last Hike Date </label> 
						<p>
						<?php
						if(isset($_GET["emp_id"]) && !empty($_GET["emp_id"])) {
							$lastHikeDateArray = $sqlObject->selectSimpleQuery("select created_date from ".HIKES." where emp_id = ".$_GET["emp_id"]." order by hike_id desc limit 1");

							if($lastHikeDateArray) {
								$lastHikeDateArray = $lastHikeDateArray[0];
								echo date('d-M-Y',strtotime($lastHikeDateArray["created_date"]));
							}
						}
						?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
						
						<label class="form-control-label" for="input-username">Hike Tenure </label>
						<p>
						<?php 
						echo (isset($employeeArray["hike_tenure"]) && $employeeArray["hike_tenure"] ?  $employeeArray["hike_tenure"] : ""); 
							
						if(isset($employeeArray["hike_tenure_day_month_year"]) && $employeeArray["hike_tenure_day_month_year"] == "day") {
							echo "Day";
						}
						elseif(isset($employeeArray["hike_tenure_day_month_year"]) && $employeeArray["hike_tenure_day_month_year"] == "month") {
							echo "Month";
						}
						elseif(isset($employeeArray["hike_tenure_day_month_year"]) && $employeeArray["hike_tenure_day_month_year"] == "year") {
							echo "Year";
						}
						?>
						</p>
                         </div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
						
                        <label class="form-control-label" for="input-username">Date of Joining	 </label>
						<p>
						<?php 
							if(isset($employeeArray["date_of_joining"]) && !empty($employeeArray["date_of_joining"])) { 
								echo $employeeArray["date_of_joining"]; 
							}
						?>
						</p>
						</div>
						</div>
						
						
					<div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Job Type </label> 
						<p>
							<?php 
				if(isset($employeeArray["job_type_id"]) && $employeeArray["job_type_id"]) {
					$jobTypeIdWhere = array("job_type_id", $employeeArray["job_type_id"]);
					$jobTypesArray 	= $sqlObject->selectQuery(JOBTYPES, $jobTypeIdWhere);
					
					if($jobTypesArray) {
						$jobTypes = $jobTypesArray[0];
						echo $jobTypes["job_name"]; 
					}
				}
			?>
						</p>
						</div>
						</div>
						
					  <div class="col-lg-4">
                      <div class="form-group focused">
					  
                        <label class="form-control-label" for="input-username">Salary </label>
						<p>
						<?php if(isset($_GET["emp_id"]) && !empty($_GET["emp_id"])) : ?>
						<i class="fa fa-inr" aria-hidden="true"></i>
				<?php 
					$hikeRecords = $sqlObject->selectSimpleQuery("select * from ".EMPLOYEES." as emp inner join ".HIKES." as hikes on emp.emp_id = hikes.emp_id"); 

					if($hikeRecords) {
						$hikeRecords = $hikeRecords[0];
						echo $hikeRecords["total_salary_with_hike_amount"];
					}
					else { 
						echo $employeeArray["emp_salary"];
					}
				?>
			<?php endif; ?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Salary Quote </label> 
						<p>
						<?php if(isset($_GET["emp_id"]) && !empty($_GET["emp_id"])) : ?>
				<?php 
					echo $employeeArray["emp_salary_quote"];
				?>
			<?php endif; ?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Job Shift </label> 
						<p>
						<?php
				if(isset($employeeArray["job_shift_id"]) && $employeeArray["job_shift_id"]) {
					$jobShiftIdWhere 	= array("job_shift_id",$employeeArray["job_shift_id"]);
					$jobShiftsArray 	= $sqlObject->selectQuery(JOBSHIFTS,$jobShiftIdWhere);
					
					if($jobShiftsArray) {
						$jobShift = $jobShiftsArray[0];
						echo $jobShift["job_shift_name"];
					}
				}
			?>
						</p>
						</div>
						</div>
						
						 <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Password </label> 
						<p>
						<?php 
				if(isset($employeeArray["password"]) && !empty($employeeArray["password"])) { 
					echo $employeeArray["password"]; 
				}
			?></p>
			</div>
						</div>
                  </div>
                </div>
                <hr class="my-4">
                <!-- Description -->
                <h6 class="heading-small text-muted mb-4"><?php echo (isset($employeeArray["emp_name"]) && $employeeArray["emp_name"] ? $employeeArray["emp_name"] : ""); ?>
					Leaves Details</h6>
				
                <div class="pl-lg-4">
				<div class="row">
				
				<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Total Time in Company</label>
                    <p><?php echo (isset($totalYears) && $totalYears ? $totalYears : ""); ?></p>
                  </div>
				  
                </div>
				
				<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Total Yearly Leaves Allotted</label>
                    <p><?php echo (isset($totalLeavesAllotted) && $totalLeavesAllotted ? $totalLeavesAllotted : "-"); ?></p>
                  </div>
				  
                </div>
				
				<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Quarterly Leaves Allotted</label>
                    <p><?php 
					$totalQuarterLeaves = $totalLeavesAllotted / 4;
					echo ($totalQuarterLeaves ? $totalQuarterLeaves : "-"); 
				?></p>
                  </div>
				  
                </div>
				
				<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Quarterly Remaining Leaves</label>
                    <p>
					<?php 
						$takenLeavesOfQuarter = calculateTakenLeavesOfQuarter(date("Y-m-d"),$_GET["emp_id"]);
						$remainingQuarterLeaves = $totalQuarterLeaves - $takenLeavesOfQuarter;
						echo ($remainingQuarterLeaves ? $remainingQuarterLeaves : "-");
					?>
				</p>
                  </div>
				  
                </div>
				
					<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Total Sick Leaves</label>
                    <p>
					<?php echo TOTAL_YEARLY_SICK_LEAVES;?>
				</p>
                  </div>
				  
                </div>
				
					<div class="col-md-4">
				
                  <div class="form-group focused">
                    <label class="form-control-label">Remaining Sick Leaves</label>
                    <p>
					<?php 
			$sickLeavesTaken = calculateTakenSickLeavesYearly(date("Y-m-d"),$_GET["emp_id"]);
			$remainingSickLeaves =  TOTAL_YEARLY_SICK_LEAVES - $sickLeavesTaken;
			echo $remainingSickLeaves;
		?>
				</p>
                  </div>
				  
                </div>
				
				


                </div>
                </div>
				
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <footer class="footer">
    <div class="row align-items-center justify-content-xl-between">
      <div class="col-xl-6 m-auto text-center">
        <div class="copyright">
         
        </div>
      </div>
    </div>
  </footer>